Summary:	UIM Input Method Engine for SCIM
Name:		scim-uim
Version: 	0.1.3
Release:	8%{?dist}
License:	GPL
Group:		System Environment/Libraries
URL: 		http://www.scim-im.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0:	%{name}-%{version}.tar.gz
PreReq:         /sbin/ldconfig, /bin/bash
BuildRequires:  scim-devel >= 1.1.3
BuildRequires:  uim-devel >= 0.3.9

%description
SCIM is a developing platform to significant reduce the difficulty of input method development. 

%changelog
* Tue Jun 21 2005 Jens Petersen <petersen@redhat.com> - 0.1.3
- rebuild for scim-1.3.1

* Sat Dec 18 2004 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- Makeup the rpm for fc3.

* Sun Jun 13 2004 James Su <suzhe@tsinghua.org.cn>
- first release of scim-uim.

#--------------------------------------------------

%prep

%setup -n %{name}-%{version}

%build
%configure --disable-static

make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/uim.la

%post
for llcc in vi_VN; do alternatives --install /etc/X11/xinit/xinput.d/$llcc xinput-$llcc /etc/X11/xinit/xinput.d/scim 90 ; done

%postun
if [ "$1" = 0 ]; then
   # remove alternative if iiimf-x isn't installed
   [ -r /etc/X11/xinit/xinput.d/scim ] || for llcc in vi_VN; do alternatives --remove xinput-$llcc /etc/X11/xinit/xinput.d/scim ; done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/IMEngine/uim.so
%{_datadir}/scim/icons/scim-uim.png
